net.sourceforge.pmd.util.filter

## Class NotFilter<T>

- java.lang.Object
- - net.sourceforge.pmd.util.filter.AbstractDelegateFilter<T>
  - - net.sourceforge.pmd.util.filter.NotFilter<T>

- Type Parameters:
    `T` - The underlying type on which the filter applies.
  All Implemented Interfaces:
    Filter<T>

      public class NotFilter<T>
      extends AbstractDelegateFilter<T>

  A logical NEGATION of a Filter.

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.pmd.util.filter.AbstractDelegateFilter

      `filter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotFilter()`
    `NotFilter(Filter<T> filter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `filter(T obj)`
    `String` | `toString()`

    - ### Methods inherited from class net.sourceforge.pmd.util.filter.AbstractDelegateFilter

      `getFilter, setFilter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NotFilter

          public NotFilter()

    - #### NotFilter

          public NotFilter(Filter<T> filter)

  - ### Method Detail

    - #### filter

          public boolean filter(T obj)

      Specified by:
        `filter` in interface `Filter<T>`
      Overrides:
        `filter` in class `AbstractDelegateFilter<T>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractDelegateFilter<T>`

Copyright © 2002-2013 InfoEther. All Rights Reserved.